Memcache::close
memcache_debug
Memcache Functions
PHP Manual

# Memcache::connect

(PECL memcache:0.2-2.1.2)

Memcache::connect — Open memcached server connection

### Description

bool Memcache::connect ( string `$host` [, int `$port` [, int `$timeout` ]] )

Memcache::connect() establishes a connection to the memcached server. The connection, which was opened using Memcache::connect() will be automatically closed at the end of script execution. Also you can close it with Memcache::close(). Also you can use memcache_connect() function.

### Parameters

`host`

  Point to the host where memcached is listening for connections. This parameter may also specify other transports like unix:///path/to/memcached.sock to use UNIX domain sockets, in this case `port` must also be set to 0.

`port`

  Point to the port where memcached is listening for connections. Set this parameter to 0 when using UNIX domain sockets.

`timeout`

  Value in seconds which will be used for connecting to the daemon. Think twice before changing the default value of 1 second - you can lose all the advantages of caching if your connection is too slow.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::connect() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* OO API */
$memcache = new Memcache;
$memcache->connect('memcache_host', 11211);
?>`

### See Also

- Memcache::pconnect()
- Memcache::close()

Memcache::close
memcache_debug
Memcache Functions
PHP Manual